# SFML - Simple and Fast Multimedia Library

SFML 3.0.0

- Main Page
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Namespaces
Shader.hpp File Reference
`#include <SFML/Graphics/Export.hpp>`
`#include <SFML/Graphics/Glsl.hpp>`
`#include <SFML/Window/GlResource.hpp>`
`#include <filesystem>`
`#include <string>`
`#include <string_view>`
`#include <unordered_map>`
`#include <cstddef>`

Go to the source code of this file.

## Classes

class | sf::Shader
| Shader class (vertex, geometry and fragment) More...
struct | sf::Shader::CurrentTextureType
| Special type that can be passed to setUniform(), and that represents the texture of the object being drawn. More...

## Namespaces

namespace | sf